Bug 174726 - audio/pianobar update to 2012.12.01
audio/pianobar update to 2012.12.01
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: jgh
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-27 00:40 UTC by john
Modified: 2012-12-28 23:20 UTC (History)
0 users

See Also:


Attachments
file.diff (849 bytes, patch)
2012-12-27 00:40 UTC, john
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description john 2012-12-27 00:40:00 UTC

Fix: Patch attached with submission follows:
Comment 1 jgh freebsd_committer 2012-12-27 04:26:50 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jgh

I'll take it.
Comment 2 dfilter freebsd_committer 2012-12-27 05:26:05 UTC
Author: jgh
Date: Thu Dec 27 05:25:52 2012
New Revision: 309534
URL: http://svnweb.freebsd.org/changeset/ports/309534

Log:
  - update to 2012.12.01
  - while here trim historical header and unclobber CFLAGS/LDFLAGS
  
  PR:		174726
  Submitted by:	maintainer, john@pcbsd.org

Modified:
  head/audio/pianobar/Makefile   (contents, props changed)
  head/audio/pianobar/distinfo   (contents, props changed)

Modified: head/audio/pianobar/Makefile
==============================================================================
--- head/audio/pianobar/Makefile	Thu Dec 27 04:25:05 2012	(r309533)
+++ head/audio/pianobar/Makefile	Thu Dec 27 05:25:52 2012	(r309534)
@@ -1,12 +1,8 @@
-# New ports collection makefile for: pianobar
-# Date created: 8 October 2010
-# Whom: John Hixson <john@pcbsd.org>
-#
+# Created by: John Hixson <john@pcbsd.org>
 # $FreeBSD$
-#
 
 PORTNAME=	pianobar
-PORTVERSION=	2012.09.07
+PORTVERSION=	2012.12.01
 CATEGORIES=	audio
 MASTER_SITES=	http://6xq.net/projects/${PORTNAME}/
 
@@ -30,7 +26,7 @@ PLIST_FILES=	bin/pianobar
 USE_BZIP2=	yes
 USE_GMAKE=	yes
 
-CFLAGS=	-I${LOCALBASE}/include
-LDFLAGS=	-L${LOCALBASE}/lib
+CFLAGS+=	-I${LOCALBASE}/include
+LDFLAGS+=	-L${LOCALBASE}/lib
 
 .include <bsd.port.mk>

Modified: head/audio/pianobar/distinfo
==============================================================================
--- head/audio/pianobar/distinfo	Thu Dec 27 04:25:05 2012	(r309533)
+++ head/audio/pianobar/distinfo	Thu Dec 27 05:25:52 2012	(r309534)
@@ -1,2 +1,2 @@
-SHA256 (pianobar-2012.09.07.tar.bz2) = 1790d1f70f1516ddb3000ee95d43d42659530e8e786807edd4f4895bcbb2aa1c
-SIZE (pianobar-2012.09.07.tar.bz2) = 49641
+SHA256 (pianobar-2012.12.01.tar.bz2) = a3909f796e7cef21b19d98282f332ecbcf9b2c60a2af22a0a2ce01e9c4d9f515
+SIZE (pianobar-2012.12.01.tar.bz2) = 50383
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 jgh freebsd_committer 2012-12-27 05:26:20 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!
Comment 4 dfilter freebsd_committer 2012-12-28 23:11:57 UTC
Author: jgh
Date: Fri Dec 28 23:11:50 2012
New Revision: 309596
URL: http://svnweb.freebsd.org/changeset/ports/309596

Log:
  - restore CFLAGS/LDFLAGS ( won't build without clobbering )
  
  PR:		174726

Modified:
  head/audio/pianobar/Makefile

Modified: head/audio/pianobar/Makefile
==============================================================================
--- head/audio/pianobar/Makefile	Fri Dec 28 22:57:49 2012	(r309595)
+++ head/audio/pianobar/Makefile	Fri Dec 28 23:11:50 2012	(r309596)
@@ -26,7 +26,7 @@ PLIST_FILES=	bin/pianobar
 USE_BZIP2=	yes
 USE_GMAKE=	yes
 
-CFLAGS+=	-I${LOCALBASE}/include
-LDFLAGS+=	-L${LOCALBASE}/lib
+CFLAGS=	-I${LOCALBASE}/include
+LDFLAGS=	-L${LOCALBASE}/lib
 
 .include <bsd.port.mk>
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"